<?php
session_start();
session_unset();
session_destroy();
session_start();

include("reserved/includes/functions.php");

//subscribe
if(isset($_POST['reg_codfisc'])){
	
	if(!preg_match('/[a-z0-9]{11,16}/i',$_POST['reg_codfisc']))
		$error_reg = 'Codice Fiscale / Partita Iva errato';
	else if(!is_mail($_POST['reg_email']))
		$error_reg = 'Indirizzo e-mail non valido';
	
	if(!$error_reg){
		
		include("reserved/includes/db.php");
		
		$email = strtolower($_POST['reg_email']);
		$codfisc = strtoupper($_POST['reg_codfisc']);
		
		//verifico non sia gia iscritto
		$result = mysql_query("SELECT * FROM imprese WHERE email = '".$email."'");
		if(mysql_num_rows($result) == 0){
			//verifico sia iscritto in cassa
			$result = mysql_query("SELECT * FROM imprese WHERE (imp_codfisc = '".$codfisc."' OR imp_piva = '".$codfisc."') AND imp_annullato = 0 AND (sosp_id = 0 OR sosp_id = 99)");
			if(mysql_num_rows($result) == 1){
				//genero password
				$password = generatePassword();
				
				//abilito utente
				mysql_query("UPDATE imprese SET email='".$email."',password='".$password."',active=1 WHERE imp_cod = ".mysql_result($result,0,'imp_cod'));
				
				//invio email
				$body = 'Gentile impresa '.htmlentities(mysql_result($result,0,'imp_anagrafica')).',<br />
				I parametri per accedere alla prenotazione Online del Vestiario per Cassa Edile Biellese sono i seguenti:<br /><br />
				Indirizzo e-mail: '.$email.'<br />
				Password: '.$password.'<br /><br />
				Per entrare vada nel sito di Cassa Edile Biellese all\'indirizzo <a href="http://www.cebiella.it/">www.cebiella.it</a> e clicchi sulla voce <strong>Vestiario Online</strong> nel men&ugrave; dedicato alle <strong>Imprese</strong>
				<br /><br />
				Per qualsiasi informazioni rivolgersi alla Cassa Edile Biellese all\'indirizzo info@cebiella.it<br />
				Questo &egrave; un messaggio automatico generato dal server, si prega di non rispondere.
				<br /><br />
				Cassa Edile Biellese
				';
				
				include("reserved/includes/classes/phpmailer/phpmailer.php");				
				$mail = new PHPMailer();
				$mail->IsSMTP();
				$mail->SMTPDebug  = 0;
				$mail->Host       = "mail.progettoserver.com";
				$mail->Port       = 25;
				$mail->SMTPAuth   = true;
				$mail->Username   = "noreply@vestiario.progettoserver.com";
				$mail->Password   = "Noreply05";	
				$mail->SetFrom('noreply@cebiella.it', 'Cassa Edile Biellese');
				$mail->AddReplyTo('noreply@cebiella.it','noreply');
				$mail->AddAddress($email);
				$mail->Subject = "Password di accesso Vestiario Online";
				$mail->MsgHTML($body);
				
				if($mail->Send())
					$msg = 'Registrazione avvenuta con successo! Fra pochi istanti le verr&agrave; inviata, all\'indirizzo e-mail "'.$email.'", la password per accedere.<br />
					Se non dovesse riceve la password in giornata, contatti la Cassa Edile Biellese per farsela comunicare.';
				else
					$msg = 'Registrazione avvenuta con successo!<br />Contatti la Cassa Edile Biellese che le comunicher&agrave; la password per accedere';
					
				$reg_success = '<div class="success">'.$msg.'</div>';
				unset($_POST);
				
			}else{
				$error_reg = "Codice Fiscale / Partita Iva non riconosciuto";
			}
		}else{
			$error_reg = "L'indirizzo e-mail risulta gi&agrave; in uso";
		}
	}


}

//login
if(isset($_POST['pass'])){
	
	if(!is_mail($_POST['email']) || !is_password($_POST['pass']))
		$error = 'E-mail e/o Password non validi';
	
	if(!$error){
	
		include("reserved/includes/db.php");
		
		$result = mysql_query("SELECT * FROM imprese WHERE email='".strtolower($_POST['email'])."' AND password='".$_POST['pass']."'");
		if(mysql_num_rows($result) == 1){
			if(mysql_result($result,0,'active') == 1){
				
				
				$sosp_id = mysql_result($result,0,'sosp_id');
				if(($sosp_id <> 0 && $sosp_id <> 99) || mysql_result($result,0,'imp_annullato') == 1){
					$error = "Accesso negato. Contattare Cassa Edile per ulteriori informazioni";
					
				}else{

					$_SESSION['logged'] = true;
					$_SESSION['user']['anagrafica'] = mysql_result($result,0,'imp_anagrafica');
					$_SESSION['user']['cod'] = mysql_result($result,0,'imp_cod');			
					$_SESSION['user']['level'] = 2;
										
					mysql_query("UPDATE imprese SET lastaccess = NOW() WHERE imp_cod = ".$_SESSION['user']['cod']);
					header("location: reserved/users/default/");
					die();
				}
				
			}else{
				$error = "utente non abilitato";
			}
		}else{
			
			//controllo se e' un amministratore
			$result = mysql_query("SELECT * FROM admin WHERE email='".strtolower($_POST['email'])."' AND password='".$_POST['pass']."'");
			if(mysql_num_rows($result) == 1){
				
				$_SESSION['logged'] = true;
				$_SESSION['user']['anagrafica'] = mysql_result($result,0,'anagrafica');
				$_SESSION['user']['cod'] = mysql_result($result,0,'id');
				$_SESSION['user']['level'] = 1;
				
				mysql_query("UPDATE admin SET lastaccess = NOW() WHERE id = ".$_SESSION['user']['cod']);
				header("location: reserved/users/admin/");
				die();
				
			}else{
				$error = "e-mail e/o password errati";
			}
		}
	}
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="Prenotazione online vestiario Cassa Edile di Biella" />
<title>Vestiario Online - Cassa Edile Biella</title>
<script language="javascript" src="js/jquery-1.10.1.min.js"></script>
<link rel="stylesheet" type="text/css" href="css/style.css" />
<link rel="stylesheet" type="text/css" href="css/login.css" />
<!--[if lt IE 7]>
<style>
#main_outer{ visibility:hidden }
</style>
<script type="text/javascript">
$.get("ie6.html",function(data){$("#main_outer").html(data); $("#main_outer").css("visibility","visible");})
</script>
<![endif]-->
</head>

<body>
<div id="header_outer">
    <div id="header">
        <div class="fLeft">
	        <font color="#f5682c">Cassa Edile della provincia di Biella</font>
    	    <div id="viestiarionline">VestiariOnline</div>
        </div>
        <div class="clear"></div>
    </div>
</div>
<div id="main_outer" style="padding-top:30px">

	<?php echo $reg_success;?>
	<div class="box" id="login_box">
        <h1>Sei gi&agrave; iscritto?</h1>
        <form name="loginForm" method="post" action="./" enctype="application/x-www-form-urlencoded">
           <label>Indirizzo e-mail</label><input type="text" name="email" value="<?php echo $_POST['email'];?>" autocomplete="off" size="40" maxlength="100" />
           <label>Password</label><input type="password" name="pass" value="<?php echo $_POST['pass'];?>" size="20" maxlength="20" />
           <div class="error"><?php echo $error;?></div>
           <button class="btn btn_orange" type="submit">Entra</button>
        </form>
    </div>
	
    <div class="box" id="subscribe_box">
        <h1>Non sei ancora iscritto?</h1>
        <form name="subscribeForm" method="post" action="./" enctype="application/x-www-form-urlencoded">
           	<label>Codice Fiscale o Partita Iva</label><input type="text" name="reg_codfisc" value="<?php echo $_POST['reg_codfisc'];?>" autocomplete="off" size="40" maxlength="16" />
			<label>Indirizzo e-mail</label><input type="text" name="reg_email" autocomplete="off" value="<?php echo $_POST['reg_email'];?>" size="20" maxlength="100" />
           	<div class="error"><?php echo $error_reg;?></div>
            <button class="btn btn_orange" type="submit">Registrati</button>
        </form>
    </div>
    <div class="clear"><!-- --></div>
</div>
<div id="footer">
    Sviluppato da <a href="http://www.progettoinformatica.com" title="Progetto Informatica s.a.s.">Progetto Informatica s.a.s.</a>
</div>

</body>
</html>